National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2018-16946 Detail

Current Description

LG LNB*, LND*, LNU*, and LNV* smart network camera devices have broken access control. Attackers are able to download /updownload/t.report (aka Log & Report) files and download backup files (via download.php) without authenticating. These backup files contain user credentials and configuration information for the camera device. An attacker is able to discover the backup filename via reading the system logs or report data, or just by brute-forcing the backup filename pattern. It may be possible to authenticate to the admin account with the admin password.

Source:  MITRE
Description Last Modified:  09/11/2018
View Analysis Description

Impact

CVSS v3.0 Severity and Metrics:

Base Score: 7.5 HIGH
Vector: AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N (V3 legend)
Impact Score: 3.6
Exploitability Score: 3.9


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality (C): High
Integrity (I): None
Availability (A): None

CVSS v2.0 Severity and Metrics:

Base Score: 5.0 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:P/I:N/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): None
Availability (A): None
Additional Information:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
https://github.com/EgeBalci/LG-Smart-IP-Device-Backup-Download Exploit Third Party Advisory
https://www.exploit-db.com/exploits/45394/ Exploit Third Party Advisory VDB Entry

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:o:lg:lnb5110_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnb5110:-:*:*:*:*:*:*:*
Configuration 2
AND
OR
cpe:2.3:o:lg:lnb5320_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnb5320:-:*:*:*:*:*:*:*
Configuration 3
AND
OR
cpe:2.3:o:lg:lnb5320r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnb5320r:-:*:*:*:*:*:*:*
Configuration 4
AND
OR
cpe:2.3:o:lg:lnb7210_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnb7210:-:*:*:*:*:*:*:*
Configuration 5
AND
OR
cpe:2.3:o:lg:lnd3230r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnd3230r:-:*:*:*:*:*:*:*
Configuration 6
AND
OR
cpe:2.3:o:lg:lnd5110_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnd5110:-:*:*:*:*:*:*:*
Configuration 7
AND
OR
cpe:2.3:o:lg:lnd5110r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnd5110r:-:*:*:*:*:*:*:*
Configuration 8
AND
OR
cpe:2.3:o:lg:lnd5220r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnd5220r:-:*:*:*:*:*:*:*
Configuration 9
AND
OR
cpe:2.3:o:lg:lnd7210_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnd7210:-:*:*:*:*:*:*:*
Configuration 10
AND
OR
cpe:2.3:o:lg:lnd7210r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnd7210r:-:*:*:*:*:*:*:*
Configuration 11
AND
OR
cpe:2.3:o:lg:lnu3230r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnu3230r:-:*:*:*:*:*:*:*
Configuration 12
AND
OR
cpe:2.3:o:lg:lnu5110r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnu5110r:-:*:*:*:*:*:*:*
Configuration 13
AND
OR
cpe:2.3:o:lg:lnu5320r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnu5320r:-:*:*:*:*:*:*:*
Configuration 14
AND
OR
cpe:2.3:o:lg:lnu7210r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnu7210r:-:*:*:*:*:*:*:*
Configuration 15
AND
OR
cpe:2.3:o:lg:lnv5110r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnv5110r:-:*:*:*:*:*:*:*
Configuration 16
AND
OR
cpe:2.3:o:lg:lnv5320r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnv5320r:-:*:*:*:*:*:*:*
Configuration 17
AND
OR
cpe:2.3:o:lg:lnv7210_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnv7210:-:*:*:*:*:*:*:*
Configuration 18
AND
OR
cpe:2.3:o:lg:lnv7210r_firmware:*:*:*:*:*:*:*:*    versions from (including) 1310250 up to (including) 1508190
OR
cpe:2.3:h:lg:lnv7210r:-:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2018-16946
NVD Published Date:
09/11/2018
NVD Last Modified:
11/26/2018